.dotstat_row{
    padding: 0 15px;
}
.dotstat_wraper h4{ 
    margin-bottom:.75em;
}
.dotstat_wraper b{
    font-weight: 800;
}
.dotstat_wraper input, .dotstat_wraper textarea{
    width: 100%;
}
.dotstat_wraper  select{
    width: 100%;
}
.refresh_chart_data.button{
    background-color: #4d7386;
    color: #fff;
    transition: .5s;
}
.button.refresh_chart_data:hover{
    background-color: #8ab4c8;
    color: #fff;
    transition: .5s;
}
.dotstat_grid_row{
    display: grid;
    grid-template-columns: calc(50% - 10px) calc(50% - 10px);
    padding: 5px 15px;
    grid-gap: 20px;
}

.refresh_chart_data_wraper{
    position: relative;
    padding: 15px 0;
    text-align: right;
    transition: .4s;
}
.refresh_chart_data_wraper.ajax_sent:after{
    content: "";
    position: absolute;
    top:0;
    bottom: 0;
    left: 0;
    right: 0;
    width: 100%;
    
    background-color: rgba(77,115,134,.3);
    animation: ajax_dotstat_blinck 1s infinite;
    animation-timing-function: linear;
}

@keyframes ajax_dotstat_blinck {
    0% {background-color: rgba(77,115,134,.3);}
    50% {background-color: rgba(77,115,134,.8);}
    100% {background-color: rgba(77,115,134,.3);}
}


.tax_request_dotstat{
    padding: 15px 0;
}
.taxtcp_loader_block{
    display: none;
}
.tax_stored_parsed_data {
    box-shadow: 0 0 0 transparent;
    border-radius: 4px;
    border: 1px solid #8c8f94;
    background-color: #fff;
    color: #2c3338;
}

.dotstat_row.ajax_sent .taxtcp_loader_block{
    display: inline-block;
}

.taxtcp_loader_wraper{
    display: flex;
    align-items: center;
    justify-content: flex-start;
}
.taxtcp_loader {
    display: inline-block;
    border: 4px solid #f3f3f3;
    border-radius: 50%;
    border-top: 4px solid #3498db;
    width: 16px;
    height: 16px;
    margin: 2px 10px;
    -webkit-animation: taxtcp_spin 1s linear infinite; /* Safari */
    animation: taxtcp_spin 1s linear infinite;
 }
  
 /* Safari */
 @-webkit-keyframes taxtcp_spin {
    0% { -webkit-transform: rotate(0deg); }
    100% { -webkit-transform: rotate(360deg); }
}
  
@keyframes taxtcp_spin {
    0% { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
}

.request_dotstat-resp-wraper{
    margin: 0;
    padding: 5px;
    border: 1px solid #ccc;
    border-radius: 5px;
    margin-bottom: 5px;
}
.request_dotstat-resp-wraper h3{
    margin: 0;
    background-color: rgba(0,0,0, .1);
    padding: 3px;
    display: flex;
    align-items: center;
    justify-content: flex-start;  
    cursor: pointer;  
}

.request_dotstat-resp-wraper pre{
    margin: 0;
}

.dotstat-header-arrow{
    width: 0;
    height: 0;
    border-top: 6px solid transparent;
    border-bottom: 6px solid transparent;
    border-left: 10px solid #000;
    display: inline-block;
    margin-right: 10px;
    transform: rotate(0);
    transition: .5s;
}

.request_dotstat-data-box{
     display: none;
}

.dotstat-rotate-arrow .dotstat-header-arrow {
    transform: rotate(90deg );
    transition: .5s;
}

.request_dotstat-data-box table{
    width: 100%;
} 
.request_dotstat-data-box table th{
    text-align: left;
    text-transform: uppercase;
} 
.request_dotstat-data-box table thead{
    background-color: #ccc;
}
.request_dotstat-data-box tbody tr:nth-child(odd) {
    padding: 10px 0;
    background-color: #eaeaea;
}
.dotstat_wraper sup{
    color: red;
    font-size: 16px;
}

.dotstat_wraper .button .dashicons,
.dotstat_wraper .button .dashicons:before {
    font-size: 18px;
    width: 16px;
    height: 18px;
    line-height: 1.6;
}


/*  Dotstat Tab */
.dotstat_shortcode {
    padding: .75em 1em;
    border: 1px solid #ffd9c3;
    border-top: 3px solid #fc6;
    margin: 1em 0 .5em;
    border-radius: 5px;
    background-color: #fff9f3;
}

.dotstat_table_block, .dotstat_chart_block, .dotstat_keystat_block, .dotstat_general_settings {
    border: 1px solid #6cf;
    border-top: 4px solid #39c;
    margin-top: 15px;
    border-radius: 5px;
    padding-bottom: 15px;
    background-color: #f9fcff;
}
.dotstat_table_block h3, .dotstat_chart_block h3, .dotstat_keystat_block h3, .dotstat_general_settings h3 {
    color: #39c;
}
.dotstat_table_block h3, .dotstat_chart_block h3, .dotstat_keystat_block h3 {
    margin-bottom: 0;
}

.custom_action_block{
    background-color: #fff;
    padding: 20px 10px;
    font-family: 'Roboto';
}

.custom_action_block select{
    width: 100%;
    min-width: 100%;
    max-width: 100%;
}
.editor-styles-wrapper .wp-block .custom_action_block h5{
    margin: 0 0 5px 0;
    font-size: 20px;
    font-weight: 500;
}

.wp-block div.action_block_left_block h5{
    margin: 20px 0;
    font-size: 21px;
    font-weight: 500;
}

.stat_chart_option_wraper textarea{
    width: 100%;
    max-width: 700px;
}

.custom_action_block_select .dropdown-toggle, .custom_action_block_select .dropdown-menu{
    min-width: 400px;
    width: 100%;
}

.custom_action_block_select .dropdown-menu input[type="search"]{
    box-sizing: border-box;
}

#dotstat_chart_data div.dotstat_row div.bootstrap-select{
    width: 100%;
}